diff --git a/src/event.c b/src/event.c
index 25b54f0..bcd19c2 100644
--- a/src/event.c
+++ b/src/event.c
@@ -99,13 +99,14 @@ buttonpress(XButtonEvent *ev)
                                         conf.bars.mouse[j].func(conf.bars.mouse[j].cmd);
 
      /* Selbar */
-     if(ev->window == infobar[selscreen].selbar->win)
-          for(i = 0; i < conf.selbar.nmouse; ++i)
-               if(conf.selbar.mouse[i].tag == seltag[conf.selbar.mouse[i].screen]
-                  || conf.selbar.mouse[i].tag < 0)
-                    if(ev->button == conf.selbar.mouse[i].button)
-                         if(conf.selbar.mouse[i].func)
-                              conf.selbar.mouse[i].func(conf.selbar.mouse[i].cmd);
+     if (infobar[selscreen].selbar)
+         if(ev->window == infobar[selscreen].selbar->win)
+              for(i = 0; i < conf.selbar.nmouse; ++i)
+                   if(conf.selbar.mouse[i].tag == seltag[conf.selbar.mouse[i].screen]
+                      || conf.selbar.mouse[i].tag < 0)
+                        if(ev->button == conf.selbar.mouse[i].button)
+                             if(conf.selbar.mouse[i].func)
+                                  conf.selbar.mouse[i].func(conf.selbar.mouse[i].cmd);
 
      /* Tags */
      for(i = 1; i < conf.ntag[selscreen] + 1; ++i)
